Skip to content
API Reference

List Identities

client.Organizations.ListIdentities(ctx, organizationID, params) (*OrganizationListIdentitiesResponse, error)
GET/organizations/{organization_id}/identities

List unified view of users and invitations in an organization

ParametersExpand Collapse
organizationID string

Organization ID or label identifier

minLength1
maxLength255
params OrganizationListIdentitiesParams
After param.Field[string]optional

Query param: Cursor for forward pagination

minLength1
maxLength255
Before param.Field[string]optional

Query param: Cursor for backward pagination

minLength1
maxLength255
Expand param.Field[[]string]optional

Query param: Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.

const OrganizationListIdentitiesParamsExpandPermissions OrganizationListIdentitiesParamsExpand = "permissions"
Limit param.Field[int64]optional

Query param: Maximum number of identities to return

minimum1
maximum100
Role param.Field[OrganizationRole]optional

Query param: Filter identities by role

XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type OrganizationListIdentitiesResponse struct{…}

List of identities (users and invitations) in an organization

Items []OrganizationListIdentitiesResponseItem
ID string

The identity ID (user or invitation)

minLength1
maxLength255
CreatedAt Time

The time the entity was created in utc

formatdate-time
Email string

Email address of the identity

formatemail

Role in the organization

Accepts one of the following:
const OrganizationRoleOrgAdmin OrganizationRole = "org_admin"
const OrganizationRoleOrgMember OrganizationRole = "org_member"
const OrganizationRoleOrgViewer OrganizationRole = "org_viewer"
Source string

Identity provider issuer

formaturi
Status OrganizationListIdentitiesResponseItemStatus

Status of the identity (OrganizationStatus for users, InvitationStatus for invitations)

Accepts one of the following:
const OrganizationListIdentitiesResponseItemStatusActive OrganizationListIdentitiesResponseItemStatus = "active"
const OrganizationListIdentitiesResponseItemStatusDisabled OrganizationListIdentitiesResponseItemStatus = "disabled"
const OrganizationListIdentitiesResponseItemStatusPending OrganizationListIdentitiesResponseItemStatus = "pending"
const OrganizationListIdentitiesResponseItemStatusAccepted OrganizationListIdentitiesResponseItemStatus = "accepted"
const OrganizationListIdentitiesResponseItemStatusExpired OrganizationListIdentitiesResponseItemStatus = "expired"
const OrganizationListIdentitiesResponseItemStatusRevoked OrganizationListIdentitiesResponseItemStatus = "revoked"
Type string

Type of identity (user or invitation)

Accepts one of the following:
const OrganizationListIdentitiesResponseItemTypeUser OrganizationListIdentitiesResponseItemType = "user"
const OrganizationListIdentitiesResponseItemTypeInvitation OrganizationListIdentitiesResponseItemType = "invitation"
UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Pagination information using cursor-based pagination

HasNextPage bool

Whether there are more items after the current page

HasPrevPage bool

Whether there are more items before the current page

EndCursor stringoptional

Cursor pointing to the last item in the current page

minLength1
maxLength255
StartCursor stringoptional

Cursor pointing to the first item in the current page

minLength1
maxLength255
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

List Identities

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  response, err := client.Organizations.ListIdentities(
    context.TODO(),
    "x",
    keycard.OrganizationListIdentitiesParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Items)
}
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "role": "org_admin",
      "source": "https://example.com",
      "status": "active",
      "type": "user",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "role": "org_admin",
      "source": "https://example.com",
      "status": "active",
      "type": "user",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}